# Command: getPPID

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    getPPID - Get parent ID of the current process

Synopsis:

    getPPID ->	-

Examples:

    (I was called by process #) =only getPPID =

Description:

    Returns the process parent ID for the calling process.

Parameters:

    -

Bugs:

    -

Author:

    S Schrader, taken from getPID

FirstVersion:

    Nov 11 2005

SeeAlso:

- getPID
- getPGRP
- fork
- spoon
- waitPID
- kill
- system
- spawn
- shpawn

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/sli/processes.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative